name: 906-351A1012D10200
description: USB 2.0 standard-A receptacle, right angle, vertical
datasheet: https://datasheet.lcsc.com/lcsc/2103011234_Jing-Extension-of-the-Electronic-Co--906-351A1012D10200_C42678.pdf
keywords: connector, USB
lcsc: C42678

pinout:
  USB:
    VBUS: 1
    D-: 2
    D+: 3
    GND: 4
  SHIELD: 5, 6, 7

properties:
  power: VBUS
  ground: GND
  bidir: D-, D+
  passive: SHIELD

schematic:
  symbol: connector
  right: USB
  bottom: SHIELD

housing:
  pattern: custom
  bodyWidth: 7.0
  bodyLength: 13.60
  height: 13.66

  # USB pins
  numbers: 4,3,2,1
  holeDiameter: 0.8
  pitch: 1.4
  columnCount: 4
  rowCount: 1
  rowDY: -5.5 # 13.60/2-4.7-5.6-2.0

  # shell tabs
  slotWidth1: 1.4
  slotHeight1: 1.9
  padWidth1: 1.9
  padHeight1: 2.4
  pitch1: 6.16
  columnCount1: 2
  rowCount1: 1
  rowDY1: -3.5 # 13.60/2-4.7-5.6

  # shell tabs, center (4.7 mm from connector edge)
  slotWidth2: 2.6
  slotHeight2: 0.9
  padWidth2: 3.1
  padHeight2: 1.4
  padPosition2: 0, 2.1 # 13.60/2-4.7
